Delete storage
curl --request DELETE \
--url https://api.gcore.com/storage/provisioning/v1/storage/{storage_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}Storage
Delete storage
deprecated
Permanently deletes a storage and all its data. This action cannot be undone.
Deprecated: Use DELETE /v4/object_storages/
or DELETE /v4/sftp_storages/ instead.
DELETE
/
storage
/
provisioning
/
v1
/
storage
/
{storage_id}
Delete storage
curl --request DELETE \
--url https://api.gcore.com/storage/provisioning/v1/storage/{storage_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}Authorizations
Headers
Response
A SuccessResponse is a response that shows that operations was completed successfully
Was this page helpful?